Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 214264 - app-text/wv2-0.2.3 fails w/gcc 4.3.0
Summary: app-text/wv2-0.2.3 fails w/gcc 4.3.0
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GCC Porting (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: TeX project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.3
  Show dependency tree
 
Reported: 2008-03-22 15:54 UTC by Peter Alfredsen (RETIRED)
Modified: 2008-06-19 01:10 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
wv2-gcc43.patch (wv2-gcc43.patch,221 bytes, patch)
2008-03-22 15:56 UTC, Peter Alfredsen (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Alfredsen (RETIRED) gentoo-dev 2008-03-22 15:54:28 UTC
styles.cpp:585: error: ‘memcpy’ was not declared in this scope
styles.cpp: In member function ‘void wvWare::Style::mergeUpechpx(const wvWare::Style*, wvWare::WordVersion)’:
styles.cpp:618: warning: conversion to ‘wvWare::U16’ from ‘int’ may alter its value
styles.cpp:622: warning: conversion to ‘wvWare::U16’ from ‘int’ may alter its value
styles.cpp:627: warning: conversion to ‘wvWare::U16’ from ‘int’ may alter its value
styles.cpp:634: warning: conversion to ‘wvWare::U16’ from ‘int’ may alter its value
styles.cpp:638: warning: conversion to ‘wvWare::U16’ from ‘int’ may alter its value
styles.cpp:641: warning: conversion to ‘wvWare::U8’ from ‘wvWare::U16’ may alter its value
make[2]: *** [styles.lo] Error 1
make[2]: *** Waiting for unfinished jobs....
In file included from lists.h:25,
                 from lists.cpp:20:
global.h: In function ‘wvWare::U16 wvWare::readU16(const wvWare::U8*)’:
global.h:87: warning: conversion to ‘wvWare::U16’ from ‘int’ may alter its value
global.h: In function ‘void wvWare::write(wvWare::U8*, wvWare::U16)’:
global.h:98: warning: conversion to ‘unsigned char’ from ‘int’ may alter its value
global.h:99: warning: conversion to ‘unsigned char’ from ‘int’ may alter its value
global.h: In function ‘wvWare::U16 wvWare::swapEndianness(wvWare::U16)’:
global.h:130: warning: conversion to ‘wvWare::U16’ from ‘unsigned int’ may alter its value
global.h: In function ‘wvWare::S16 wvWare::swapEndianness(wvWare::S16)’:
global.h:135: warning: conversion to ‘wvWare::S16’ from ‘unsigned int’ may alter its value
In file included from lists.h:26,
                 from lists.cpp:20:
ustring.h: In member function ‘unsigned char wvWare::UChar::high() const’:
ustring.h:68: warning: conversion to ‘unsigned char’ from ‘int’ may alter its value
ustring.h: In member function ‘unsigned char wvWare::UChar::low() const’:
ustring.h:72: warning: conversion to ‘unsigned char’ from ‘int’ may alter its value
ustring.h: In constructor ‘wvWare::UChar::UChar(unsigned char, unsigned char)’:
ustring.h:101: warning: conversion to ‘short unsigned int’ from ‘int’ may alter its value
ustring.h: In member function ‘unsigned char wvWare::UCharReference::low() const’:
ustring.h:137: warning: conversion to ‘unsigned char’ from ‘int’ may alter its value
ustring.h: In member function ‘unsigned char wvWare::UCharReference::high() const’:
ustring.h:141: warning: conversion to ‘unsigned char’ from ‘int’ may alter its value
In file included from lists.cpp:22:
word97_generated.h: In constructor ‘wvWare::Word97::TBD::TBD(wvWare::U8)’:
word97_generated.h:163: warning: conversion to ‘unsigned char:3’ from ‘wvWare::U8’ may alter its value
word97_generated.h:164: warning: conversion to ‘wvWare::U8’ from ‘int’ may alter its value
word97_generated.h:165: warning: conversion to ‘unsigned char:3’ from ‘wvWare::U8’ may alter its value
word97_generated.h:166: warning: conversion to ‘wvWare::U8’ from ‘int’ may alter its value
word97_generated.h:167: warning: conversion to ‘unsigned char:2’ from ‘wvWare::U8’ may alter its value
In file included from word_helper.h:24,
                 from lists.cpp:23:
wvlog.h: At global scope:
wvlog.h:74: warning: unused parameter ‘__pf’
wvlog.h:75: warning: unused parameter ‘__pf’
wvlog.h:76: warning: unused parameter ‘__pf’
In file included from lists.cpp:23:
word_helper.h: In member function ‘const wvWare::U8* wvWare::FKPIterator<Offset>::current() const’:
word_helper.h:559: warning: use of old-style cast
lists.cpp: In constructor ‘wvWare::ListLevel::ListLevel(const wvWare::Word97::ANLD&)’:
lists.cpp:302: warning: conversion to ‘wvWare::U8’ from ‘int’ may alter its value
lists.cpp:304: warning: conversion to ‘wvWare::U8’ from ‘int’ may alter its value
lists.cpp:306: warning: conversion to ‘wvWare::U8’ from ‘int’ may alter its value
lists.cpp:308: warning: conversion to ‘wvWare::U8’ from ‘int’ may alter its value
lists.cpp:310: warning: conversion to ‘wvWare::U8’ from ‘int’ may alter its value
lists.cpp:312: warning: conversion to ‘wvWare::U8’ from ‘int’ may alter its value
lists.cpp:314: warning: conversion to ‘wvWare::U8’ from ‘int’ may alter its value
lists.cpp:315: warning: conversion to ‘wvWare::U8’ from ‘int’ may alter its value
lists.cpp:316: warning: conversion to ‘wvWare::U8’ from ‘int’ may alter its value
lists.cpp: In constructor ‘wvWare::ListInfoProvider::ListInfoProvider(wvWare::OLEStreamReader*, const wvWare::Word97::FIB&, const wvWare::StyleSheet*)’:
lists.cpp:685: warning: suggest a space before ‘;’ or explicit braces around empty body in ‘while’ statement
lists.cpp: In member function ‘void wvWare::ListInfoProvider::eatLeading0xff(wvWare::OLEStreamReader*)’:
lists.cpp:818: warning: suggest a space before ‘;’ or explicit braces around empty body in ‘while’ statement
lists.cpp: In member function ‘void wvWare::ListInfoProvider::convertCompatANLD()’:
lists.cpp:873: warning: conversion to ‘wvWare::S16’ from ‘int’ may alter its value
lists.cpp:880: warning: conversion to ‘wvWare::S16’ from ‘size_t’ may alter its value
mv -f .deps/lists.Tpo .deps/lists.Plo
make[2]: Leaving directory `/var/tmp/portage/app-text/wv2-0.2.3/work/wv2-0.2.3/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/app-text/wv2-0.2.3/work/wv2-0.2.3'
make: *** [all] Error 2


Reproducible: Always

Steps to Reproduce:
Comment 1 Peter Alfredsen (RETIRED) gentoo-dev 2008-03-22 15:56:24 UTC
Created attachment 146911 [details, diff]
wv2-gcc43.patch

Fixes the problem.
Snatched from Fedora:
http://cvs.fedoraproject.org/viewcvs/devel/wv2/wv2-gcc43.patch?rev=1.1&view=log
Comment 2 Samuli Suominen gentoo-dev 2008-04-18 18:48:05 UTC
+  18 Apr 2008; Samuli Suominen <drac@gentoo.org>
+  +files/wv2-0.2.3-gcc43.patch, wv2-0.2.3.ebuild:
+  Fix building with GCC 4.3 wrt #214264. Use DESTDIR for installing. Fix
+  LICENSE from GPL-2 to LGPL-2.
+
Comment 3 Ryan Hill (RETIRED) gentoo-dev 2008-06-09 05:50:31 UTC
src_test is still buggered.

In file included from iconvtest.cpp:31:
./test.h: In function 'void wvWare::test(bool, const std::string&, const std::string&)':
./test.h:36: error: '::exit' has not been declared
Comment 4 Ryan Hill (RETIRED) gentoo-dev 2008-06-19 01:10:18 UTC
Fixed.